Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class AmountAndCurrencyExchangeDetails2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.AmountAndCurrencyExchangeDetails2

public class AmountAndCurrencyExchangeDetails2 extends Object

Java class for AmountAndCurrencyExchangeDetails2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountAndCurrencyExchangeDetails2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount"/>
             <element name="CcyXchg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyExchange3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CurrencyAndAmount`
`amt`
`protected CurrencyExchange3`
`ccyXchg`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`AmountAndCurrencyExchangeDetails2()`

## Method Summary

Modifier and Type
Method
Description
`CurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`CurrencyExchange3`
`getCcyXchg()`
Gets the value of the ccyXchg property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setAmt(CurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCcyXchg(CurrencyExchange3 value)`
Sets the value of the ccyXchg property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### amt

protected CurrencyAndAmount amt

### ccyXchg

protected CurrencyExchange3 ccyXchg

## Constructor Details

### AmountAndCurrencyExchangeDetails2

public AmountAndCurrencyExchangeDetails2()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getAmt

public CurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `CurrencyAndAmount`

### setAmt

public void setAmt(CurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

### getCcyXchg

public CurrencyExchange3 getCcyXchg()
Gets the value of the ccyXchg property.

Returns:
  possible object is `CurrencyExchange3`

### setCcyXchg

public void setCcyXchg(CurrencyExchange3 value)
Sets the value of the ccyXchg property.

Parameters:
  `value` - allowed object is `CurrencyExchange3`